Problem running on XP SP3 .NET Framework 4.0(Version 0.7)

Dec 28, 2010 at 3:50 PM

I wrote a program with pcap.net 0.7.0. It runs well on my Win7 32bit and Win7 64bit.

But it reports "Could not load file or assembly 'PcapDotNet.Core.dll' or one of it's dependencies" on XP SP3.

I've installed .net framework 4.0 and put all dlls in my app's root directory. Please tell me how to solve this problem.

BTW: Version 0.6 runs well on XP with .net framework 3.5.

Coordinator
Dec 28, 2010 at 7:32 PM

Hi sweetwxh,

 

Please make sure you've followed all the steps that are mentioned here:

http://pcapdotnet.codeplex.com/wikipage?title=Using%20Pcap.Net%20in%20your%20programs&referringTitle=Pcap.Net%20User%20Guide

 

Also make sure that you're using the right dlls (32 bit for 32 bit Windows and 64 bit for 64 bit Windows).

 

Boaz.

Dec 29, 2010 at 3:15 AM

Hi brickner,

Thanks for your reply, I forgot the Microsoft Visual C++ 2010 Redistributable. :-P